List Customer Addresses
Returns a list of Customer Addresses. Optional filter parameters can be passed in.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body that the client accepts. Typically application/json.
Query parameters
page
Page number. page=1
limit
Items count per page. limit=50
company:in
Filter items by company. company:in=bigcommerce,commongood
name:in
Filter items by first_name and last_name. name:in=James+Moriarty
customer_id:in
Filter by the ID of the customer. Also accepts comma-separated IDs to filter for multiple customers. customer_id:in=23,24,55
include
Indicates whether to include customer address sub-resources:
formfields- address form fieldsinclude=formfields
Allowed values:
id:in
Filter items by ID.
id:in=4,5,6
Response
A list of customer addresses.
data
meta
Data about the response, including pagination and collection totals.